
Figure - Bug #117187
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【屏保】【VC1】进入时钟屏保的屏保模式，下方的日期和周几中间没有间距
2023-03-27 17:22 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-27

Priority: Normal Due date: 2023-04-04

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-04

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备正常启动

2、屏保设置为时钟屏保

【测试步骤】

1、进入屏保模式

2、查看时间下方的日期显示，对比ui图

【预期结果】

2、下方的日期和周几中间有间距

【实际结果】

2、下方的日期和周几中间没有间距

History

#1 - 2023-03-31 14:57 - CD APP-王营

- Due date set to 2023-04-04

- Status changed from New to ASSIGNED

#2 - 2023-04-03 17:09 - CD APP-王营

- % Done changed from 0 to 50

■ Current conclusion

问题已解决

■ My analysis

日期格式化中不带有空格间距，需单独处理星期问题，前面手动添加空格间距

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/191617

#3 - 2023-04-03 19:04 - IoT scm
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/191617


191617 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Fix clock screensaver date space1.Add space between date and week in clock screensaver.TC-RID: 0301-0300605IssueID:

TS-R-BUG-117187Change-Id: I6f6d0550298aaa3cde1b85f6157b27610d2478c0

#4 - 2023-04-03 19:05 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-04

- Root cause set to 编码问题

#5 - 2023-04-04 10:17 - CDTS_Test 吴诗雨

0404版本仍有问题。0405版本再验

#6 - 2023-04-06 17:11 - CDTS_Test 吴诗雨

修改还未入库，之后再验

#7 - 2023-04-10 18:59 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

验证版本0410DB

验证情况：

时间屏保，日期和星期之间有间距

#8 - 2023-04-10 18:59 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
